%define		wifi_version 0.9.12

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Multiple stacked system monitors in one process.
Name:		gkrellm
Version:	2.3.0
Release:	2
License:	GPL
URL:		http://www.gkrellm.net
Group:		System/Tools
Source0:	%{name}-%{version}.tar.bz2
Source1:	gkrellmd.rc
#Source2:	gkrellm-wifi-%{wifi_version}.tar.gz
Source3:	gkrellm.png
Source4:	gkrellm.desktop
Patch1:		gkrellm-2.1.28-config.patch
#Patch2:		gkrellm-wifi-0.9.12-build.patch
Patch3:		gkrellm-2.2.4-sansfont.patch
Patch4:		gkrellm-2.2.7-width.patch
Patch5:		gkrellm-2.3.0-libsensors4.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk2+-devel glib-devel atk-devel pango-devel pkg-config ImageMagick openssl-devel
Obsoletes:	gkrellm-wireless

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%package daemon
Summary: 	The GNU Krell Monitors Server
Group: 		System/Servers

%description daemon
gkrellmd listens for connections from gkrellm clients. When a gkrellm
client connects to a gkrellmd server all builtin monitors collect their
data from the server.

%package 	devel
Summary: 	Development files for the GNU Krell Monitors
Group: 		System/Tools
Requires: 	%{name} = %{version}-%{release}, gtk2+-devel

%description devel
Development files for the GNU Krell Monitors.

#%package 	wireless
#Summary: 	wireless monitor for the GNU Krell Monitors
#Group: 		System/Tools
#URL:		http://brix.gimp.org/files/gkrellm-wifi/
#Requires: 	%{name} = %{version}-%{release}

#%description wireless
#This plug-in monitors the wireless LAN cards in your computer and
#displays a graph of the link quality percentage for each card.

%pre daemon
if [ $1 -eq 1 ]; then
    /usr/sbin/groupadd -g 201 gkrellmd &>/dev/null || :
    /usr/sbin/useradd -u 201 -c "GNU Krell daemon" -s /sbin/nologin -M -d / -r -g gkrellmd gkrellmd 2>/dev/null ||:
fi

%preun daemon
if [ $1 -eq 0 ]; then
    /etc/rc.d/init.d/gkrellmd stop &>/dev/null || :
fi

%postun daemon
if [ $1 -eq 0 ]; then
    /usr/sbin/userdel gkrellmd &>/dev/null || :
    /usr/sbin/groupdel gkrellmd &>/dev/null || :
fi


%prep
%setup -q
#%patch1 -p1
#tar xzf %{SOURCE2}
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
for i in gkrellmd.1 server/gkrellmd.h src/gkrellm.h gkrellm.1 README Changelog Changelog-plugins.html; do
   sed -i -e "s@/usr/lib/gkrellm2/plugins@%{_libdir}/gkrellm2/plugins@" $i
   sed -i -e "s@/usr/lib/gkrellm/plugins@%{_libdir}/gkrellm2/plugins@" $i
done
for i in gkrellmd.1 server/gkrellmd.h src/gkrellm.h gkrellm.1 README Changelog Changelog-plugins.html; do
   sed -i -e "s@/usr/local/lib/gkrellm2/plugins@/usr/local/%{_lib}/gkrellm2/plugins@" $i
   sed -i -e "s@/usr/local/lib/gkrellm/plugins@/usr/local/%{_lib}/gkrellm2/plugins@" $i
done

%build
make CFLAGS="$RPM_OPT_FLAGS" \
     INSTALLROOT=%{_prefix} \
     PKGCONFIGDIR=%{_libdir}/pkgconfig \
     INCLUDEDIR=%{_includedir}
#( cd gkrellm-wifi-%{wifi_version}; make )

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gkrellm2/themes
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins

make install \
	LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale \
	INSTALLDIR=$RPM_BUILD_ROOT%{_bindir} \
	SINSTALLDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	PKGCONFIGDIR=$RPM_BUILD_ROOT%{_libdir}/pkgconfig \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir}
#install gkrellm-wifi-%{wifi_version}/gkrellm-wifi.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins

install -D -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gkrellm.png
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/applications
cp -f %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/gkrellmd
install -m 644 server/gkrellmd.conf ${RPM_BUILD_ROOT}/etc/gkrellmd.conf
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc COPYRIGHT Changelog README Themes.html
%{_bindir}/gkrellm
%{_mandir}/man1/gkrellm.1*
/usr/share/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gkrellm2
%dir %{_libdir}/gkrellm2/
%dir %{_libdir}/gkrellm2/plugins/
%_locale/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gkrellm2
%{_includedir}/gkrellm2/*
%{_libdir}/pkgconfig/gkrellm.pc

%files daemon
%defattr(-,root,root)
%attr(0755,root,root) /etc/rc.d/init.d/gkrellmd
%{_sbindir}/gkrellmd
%{_mandir}/man1/gkrellmd.*
%config(noreplace) /etc/gkrellmd.conf

#%files wireless
#%attr(0755,root,root) %{_libdir}/gkrellm2/plugins/gkrellm-wifi.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 2.3.0-2
- added obsolete for wireless package, makes update cleaner
* Sun Nov 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-1
- version update
- disabled broken gkrellm-wifi module
* Tue Oct 31 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.10-1
- Version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.9-1
- Version update
* Sat Sep 24 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.7-3
- Fixed minor Bug in dependencies
* Sun Sep 18 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.7-2
- Splitted devel files, seperated daemon package, added wifi plugin
* Tue Aug 23 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.2.7-1
- Initial Release
